Bug 210176 - listen should "Require:" gnome-python2-gtkmozembed
listen should "Require:" gnome-python2-gtkmozembed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: listen (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-10 12:25 EDT by Nalin Dahyabhai
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.5-6.beta1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-15 04:02:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2006-10-10 12:25:24 EDT
Description of problem:
The listen music player doesn't require gnome-python2-gtkmozembed, but it fails
to start without it.

Version-Release number of selected component (if applicable):
0.5-5.beta1.fc6

How reproducible:
Always

Steps to Reproduce:
1. rpm -e gnome-python2-gtkmozembed
2. listen
  
Actual results:
  No musicbrainz2 support
  No musicbrainz2 support
  No Audio cd support
  Traceback (most recent call last):
    File "/usr/lib/listen/listen.py", line 209, in ?
      ListenApp()
    File "/usr/lib/listen/listen.py", line 136, in __init__
      from widget.listen import Listen
    File "/usr/lib/listen/widget/listen.py", line 37, in ?  
      from widget.source_ui import SourceUI
    File "/usr/lib/listen/widget/source_ui.py", line 39, in ?
      from source.info_source import *
    File "/usr/lib/listen/source/info_source.py", line 26, in ?
      from widget.webinfo import *
    File "/usr/lib/listen/widget/webinfo.py", line 53, in ?
      import widget.mozembed_wrap
    File "/usr/lib/listen/widget/mozembed_wrap.py", line 22, in ?
      import gtkmozembed
  ImportError: No module named gtkmozembed
  Unhandled exception in thread started by 
  Error in sys.excepthook:

  Original exception was:

Expected results:
  Musical goodness.
Comment 1 Alex Lancaster 2006-10-11 22:57:15 EDT
Confirming I have the same problem, except that I had it on installation:

sudo smart install listen
Password:
Loading cache...
Updating cache...               ######################################## [100%]

Computing transaction...

Installing packages (1):
  listen-0.5-5.beta1.fc5@i386

588.6kB of package files are needed. 2.1MB will be used.

Confirm changes? (Y/n): y

Fetching packages...
-> http://fedoraproject.org/extras/5/i386/alsa-oss-1.0.11-1.fc5.i386.rpm
alsa-oss-1.0.11-1.fc5.i386.rpm  ######################################## [100%]


Committing transaction...
Preparing...                    ######################################## [  0%]
   1:Installing alsa-oss        ######################################## [100%]

Saving cache...

Note that gnome-python2-gtkmozembed was not also selected for installation. 
This really should have been picked up in the Package Review process.
Comment 2 Alex Lancaster 2006-10-11 23:00:18 EDT
(In reply to comment #1)

> Fetching packages...
> -> http://fedoraproject.org/extras/5/i386/alsa-oss-1.0.11-1.fc5.i386.rpm
> alsa-oss-1.0.11-1.fc5.i386.rpm  ######################################## [100%]
> 
> 
> Committing transaction...
> Preparing...                    ######################################## [  0%]
>    1:Installing alsa-oss        ######################################## [100%]

Oops, I ignore that part, I must have cut and pasted the wrong bit from the
terminal, it actually was:

Fetching packages...
-> http://fedoraproject.org/extras/5/i386/listen-0.5-5.beta1.fc5.i386.rpm
listen-0.5-5.beta1.fc5.i386.rpm ######################################## [100%]


Committing transaction...
Preparing...                    ######################################## [  0%]
   1:Installing listen          ######################################## [100%]

Saving cache...

Comment 3 Haïkel Guémar 2006-10-12 12:28:27 EDT
I updated the spec which fix this and other issues, packages has been built.
Check listen-0.5-6.beta1 when it will be available on repositories.

My apologies for the inconvenience.
Comment 4 Haïkel Guémar 2006-10-15 04:02:03 EDT
$ rpm -q --whatrequires gnome-python2-gtkmozembed
listen-0.5-6.beta1.fc5

This has been fixed, please check bug #210778 for other listen missing requires.
known bug: missing Requires:gnome-python2-gtkhtml2 (corrected in
listen-0.5-7.beta1 , just a matter of time before it will be uploaded on mirrors)

Note You need to log in before you can comment on or make changes to this bug.